{
    "$graph": [
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#acccess_static_server_files.cwl/historical_precip_data"
                },
                {
                    "type": "string",
                    "id": "#acccess_static_server_files.cwl/tree_ring_data"
                }
            ],
            "baseCommand": null,
            "id": "#acccess_static_server_files.cwl",
            "outputs": [
                {
                    "type": "string",
                    "id": "#acccess_static_server_files.cwl/itrdb"
                },
                {
                    "type": "string",
                    "id": "#acccess_static_server_files.cwl/prism_data"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/calibration_years"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/itrdb"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/label"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/min_width"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/prediction_years"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/prism_data_for_coordinates"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/verbose"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/log_file"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/pal_model"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/pred_model"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/pred_plot"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/uncertain_model"
                },
                {
                    "type": "string",
                    "id": "#exec_paleocar.cwl/uncertain_plot"
                }
            ],
            "baseCommand": null,
            "id": "#exec_paleocar.cwl"
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#extract_prism_data.cwl/coordinates"
                },
                {
                    "type": "string",
                    "id": "#extract_prism_data.cwl/prism_data"
                },
                {
                    "type": "string",
                    "id": "#extract_prism_data.cwl/run_id"
                },
                {
                    "type": "string",
                    "id": "#extract_prism_data.cwl/session_id"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "id": "#extract_prism_data.cwl/prism_data_for_coordinates"
                }
            ],
            "baseCommand": null,
            "id": "#extract_prism_data.cwl"
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#get_client_data.cwl/user_map_marker_pos"
                },
                {
                    "type": "string",
                    "id": "#get_client_data.cwl/user_prediction_years"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "id": "#get_client_data.cwl/coordinates"
                },
                {
                    "type": "string",
                    "id": "#get_client_data.cwl/prediction_years"
                },
                {
                    "type": "string",
                    "id": "#get_client_data.cwl/run_id"
                },
                {
                    "type": "string",
                    "id": "#get_client_data.cwl/session_id"
                }
            ],
            "baseCommand": null,
            "id": "#get_client_data.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/calibration_years"
                },
                {
                    "type": "string",
                    "id": "#main/historical_precip_data"
                },
                {
                    "type": "string",
                    "id": "#main/label"
                },
                {
                    "type": "string",
                    "id": "#main/min_width"
                },
                {
                    "type": "string",
                    "id": "#main/tree_ring_data"
                },
                {
                    "type": "string",
                    "id": "#main/user_map_marker_pos"
                },
                {
                    "type": "string",
                    "id": "#main/user_prediction_years"
                },
                {
                    "type": "string",
                    "id": "#main/verbose"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "outputSource": "#main/exec_paleocar/log_file",
                    "id": "#main/paleocar_log_file"
                },
                {
                    "type": "string",
                    "outputSource": "#main/exec_paleocar/pal_model",
                    "id": "#main/paleocar_models"
                },
                {
                    "type": "string",
                    "outputSource": "#main/exec_paleocar/pred_plot",
                    "id": "#main/prediction_graph"
                },
                {
                    "type": "string",
                    "outputSource": "#main/exec_paleocar/pred_model",
                    "id": "#main/prediction_model"
                },
                {
                    "type": "string",
                    "outputSource": "#main/exec_paleocar/uncertain_plot",
                    "id": "#main/uncertainty_graph"
                },
                {
                    "type": "string",
                    "outputSource": "#main/exec_paleocar/uncertain_model",
                    "id": "#main/uncertainty_model"
                }
            ],
            "steps": [
                {
                    "run": "#acccess_static_server_files.cwl",
                    "in": [
                        {
                            "source": "#main/historical_precip_data",
                            "id": "#main/acccess_static_server_files/historical_precip_data"
                        },
                        {
                            "source": "#main/tree_ring_data",
                            "id": "#main/acccess_static_server_files/tree_ring_data"
                        }
                    ],
                    "out": [
                        "#main/acccess_static_server_files/prism_data",
                        "#main/acccess_static_server_files/itrdb"
                    ],
                    "id": "#main/acccess_static_server_files"
                },
                {
                    "run": "#exec_paleocar.cwl",
                    "in": [
                        {
                            "source": "#main/calibration_years",
                            "id": "#main/exec_paleocar/calibration_years"
                        },
                        {
                            "source": "#main/acccess_static_server_files/itrdb",
                            "id": "#main/exec_paleocar/itrdb"
                        },
                        {
                            "source": "#main/label",
                            "id": "#main/exec_paleocar/label"
                        },
                        {
                            "source": "#main/min_width",
                            "id": "#main/exec_paleocar/min_width"
                        },
                        {
                            "source": "#main/get_client_data/prediction_years",
                            "id": "#main/exec_paleocar/prediction_years"
                        },
                        {
                            "source": "#main/extract_prism_data/prism_data_for_coordinates",
                            "id": "#main/exec_paleocar/prism_data_for_coordinates"
                        },
                        {
                            "source": "#main/verbose",
                            "id": "#main/exec_paleocar/verbose"
                        }
                    ],
                    "out": [
                        "#main/exec_paleocar/pred_model",
                        "#main/exec_paleocar/pred_plot",
                        "#main/exec_paleocar/uncertain_model",
                        "#main/exec_paleocar/pal_model",
                        "#main/exec_paleocar/uncertain_plot",
                        "#main/exec_paleocar/log_file"
                    ],
                    "id": "#main/exec_paleocar"
                },
                {
                    "run": "#extract_prism_data.cwl",
                    "in": [
                        {
                            "source": "#main/get_client_data/coordinates",
                            "id": "#main/extract_prism_data/coordinates"
                        },
                        {
                            "source": "#main/acccess_static_server_files/prism_data",
                            "id": "#main/extract_prism_data/prism_data"
                        },
                        {
                            "source": "#main/get_client_data/run_id",
                            "id": "#main/extract_prism_data/run_id"
                        },
                        {
                            "source": "#main/get_client_data/session_id",
                            "id": "#main/extract_prism_data/session_id"
                        }
                    ],
                    "out": [
                        "#main/extract_prism_data/prism_data_for_coordinates"
                    ],
                    "id": "#main/extract_prism_data"
                },
                {
                    "run": "#get_client_data.cwl",
                    "in": [
                        {
                            "source": "#main/user_map_marker_pos",
                            "id": "#main/get_client_data/user_map_marker_pos"
                        },
                        {
                            "source": "#main/user_prediction_years",
                            "id": "#main/get_client_data/user_prediction_years"
                        }
                    ],
                    "out": [
                        "#main/get_client_data/session_id",
                        "#main/get_client_data/run_id",
                        "#main/get_client_data/coordinates",
                        "#main/get_client_data/prediction_years"
                    ],
                    "id": "#main/get_client_data"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
